/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.collection.sets;

import java.util.Set;
import net.ranides.assira.collection.IntCollection;
import net.ranides.assira.collection.iterators.IntIterator;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface IntSet extends IntCollection, Set<Integer> {

    @Override
    IntIterator iterator();

    @Override
    boolean rem(int k);

    boolean remove(int k);
    
}
